<%--
	Gentics .Node PortalConnector - JSP Example

	A very simple example which displays list of files which match
	a given rule.
--%>
<%@page import="com.gentics.api.portalnode.connector.PortalConnectorFactory" %>
<%@page import="com.gentics.api.lib.expressionparser.Expression" %>
<%@page import="com.gentics.api.lib.expressionparser.filtergenerator.DatasourceFilter" %>
<%@page import="com.gentics.api.lib.datasource.Datasource" %>
<%@page import="com.gentics.api.lib.resolving.Resolvable" %>
<%
	// Load the properties from the file.
	java.util.Properties props = new java.util.Properties();
	props.load(getServletContext().getResourceAsStream("pc/handle.properties"));
	// Create the datasource
	Datasource ds = PortalConnectorFactory.createDatasource(props);

	// Parse the given expression and create a datsource filter
	Expression folderExpression = PortalConnectorFactory.createExpression(props.getProperty("filerule"));
	DatasourceFilter dsFilter = ds.createDatasourceFilter(folderExpression);
	// Fetch Resolvable objects from the datasource (prefetching attributes: name,folder_id and mimetype)
	java.util.Collection coll = ds.getResult(dsFilter, new String[] { "name", "folder_id", "mimetype" });
%>
<table border="1">
  <tr>
  	<th colspan='5'>Files - Rule: <%= props.getProperty("filerule") %></th>
  </tr>
  <tr>
  	<th>ContentId</th>
  	<th>Name</th>
  	<th>Folder Name</th>
  	<th>Mimetype</th>
  	<th>Download</th>
  </tr>
  <%-- Iterate through all Resolvables and print information --%>
  <% for(java.util.Iterator i = coll.iterator() ; i.hasNext() ; ) {
     	Resolvable obj = (Resolvable) i.next(); %>
      	<tr>
      		<td><%= obj.get("contentid") %></td>
      		<td><%= obj.get("name") %></td>
      		<td><%= obj.get("folder_id") == null ? "None" : ((Resolvable)obj.get("folder_id")).get("name") %></td>
      		<td><%= obj.get("mimetype") %></td>
      		<td><a href="pctest.jsp?contentid=<%= obj.get("contentid") %>">Download</a></td>
      	</tr>
  <% } %>
</table>
